import usb

def find_board():
    board = None
    for bus in usb.busses():
        for dev in bus.devices:
            if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                return dev
    return None

n = 0
light_cur = 0
money = 0

board = find_board()
handle = board.open()

req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
handle.controlMsg(req, 0, None, value = (1*256)+0)
    
while(True):
    req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
    z = handle.controlMsg(req, 2, 2)
    light_cur = int(z[0] + 256*z[1])
        
    if light_cur < 800 :
        n+=1
    else :
        print n
        if n != 0 :
            if n < 30:
                print "1 Baht"
                money += 1
            elif (n >= 30) and (n <= 40) :
                print "5 Bath"
                money += 5
            else :
                print "10 Bath"
                money += 10
            print "All is %d Bath" %money
        n = 0
